<html>
<head>
<title>OGRE: Ogre::Rectangle Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1Rectangle.html">Rectangle</a></div>
<h1>Ogre::Rectangle Struct Reference</h1><!-- doxytag: class="Ogre::Rectangle" --><code>#include &lt;<a class="el" href="OgreRectangle_8h-source.html">OgreRectangle.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1Rectangle-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Rectangle.html#248f253e65b63f573bbe368b523567bd">inside</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> x, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> y) const </td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Rectangle.html#4851de00a37259650c67b9d000ed80d1">left</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Rectangle.html#fb3100f7a6979bfcb45e25ca4b36df2c">top</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Rectangle.html#e8be8a35b84e0a60b706df4e4aa9d006">right</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Rectangle.html#4f8176ad0efb40889b96c05bfbf61176">bottom</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>

<p>Definition at line <a class="el" href="OgreRectangle_8h-source.html#l00036">36</a> of file <a class="el" href="OgreRectangle_8h-source.html">OgreRectangle.h</a>.</p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="248f253e65b63f573bbe368b523567bd"></a><!-- doxytag: member="Ogre::Rectangle::inside" ref="248f253e65b63f573bbe368b523567bd" args="(Real x, Real y) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Rectangle::inside           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>y</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRectangle_8h-source.html#l00043">43</a> of file <a class="el" href="OgreRectangle_8h-source.html">OgreRectangle.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="4851de00a37259650c67b9d000ed80d1"></a><!-- doxytag: member="Ogre::Rectangle::left" ref="4851de00a37259650c67b9d000ed80d1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Rectangle.html#4851de00a37259650c67b9d000ed80d1">Ogre::Rectangle::left</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRectangle_8h-source.html#l00038">38</a> of file <a class="el" href="OgreRectangle_8h-source.html">OgreRectangle.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRectangle_8h-source.html#l00055">Ogre::intersect()</a>.</p>

</div>
</div><p>
<a class="anchor" name="fb3100f7a6979bfcb45e25ca4b36df2c"></a><!-- doxytag: member="Ogre::Rectangle::top" ref="fb3100f7a6979bfcb45e25ca4b36df2c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Rectangle.html#fb3100f7a6979bfcb45e25ca4b36df2c">Ogre::Rectangle::top</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRectangle_8h-source.html#l00039">39</a> of file <a class="el" href="OgreRectangle_8h-source.html">OgreRectangle.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRectangle_8h-source.html#l00055">Ogre::intersect()</a>.</p>

</div>
</div><p>
<a class="anchor" name="e8be8a35b84e0a60b706df4e4aa9d006"></a><!-- doxytag: member="Ogre::Rectangle::right" ref="e8be8a35b84e0a60b706df4e4aa9d006" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Rectangle.html#e8be8a35b84e0a60b706df4e4aa9d006">Ogre::Rectangle::right</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRectangle_8h-source.html#l00040">40</a> of file <a class="el" href="OgreRectangle_8h-source.html">OgreRectangle.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRectangle_8h-source.html#l00055">Ogre::intersect()</a>.</p>

</div>
</div><p>
<a class="anchor" name="4f8176ad0efb40889b96c05bfbf61176"></a><!-- doxytag: member="Ogre::Rectangle::bottom" ref="4f8176ad0efb40889b96c05bfbf61176" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Rectangle.html#4f8176ad0efb40889b96c05bfbf61176">Ogre::Rectangle::bottom</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRectangle_8h-source.html#l00041">41</a> of file <a class="el" href="OgreRectangle_8h-source.html">OgreRectangle.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRectangle_8h-source.html#l00055">Ogre::intersect()</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreRectangle_8h-source.html">OgreRectangle.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:58 2008
</p>
</body>
</html>
